Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIScrollableDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.richfaces.component.UIScrollableDataTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.ScriptExportable, org.richfaces.component.Selectable, org.richfaces.component.Sortable

Direct Known Subclasses:
  HtmlScrollableDataTable

    public abstract class UIScrollableDataTable

extends org.ajax4jsf.component.UIDataAdaptor
implements org.ajax4jsf.component.AjaxComponent, org.richfaces.component.Sortable, org.richfaces.component.Selectable, org.richfaces.component.ScriptExportable

Author:
  Anton Belevich

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `SORT_MULTI`
`static java.lang.String` | `SORT_SINGLE`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIData
`COMPONENT_FAMILY`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIScrollableDataTable()`

Method Summary
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`protected boolean` | `broadcastLocal(javax.faces.event.FacesEvent event)`
`protected org.ajax4jsf.model.DataComponentState` | `createComponentState()`
`protected org.ajax4jsf.model.ExtendedDataModel` | `createDataModel()`
`protected java.util.Iterator` | `dataChildren()`
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`void` | `encodeEnd(javax.faces.context.FacesContext context)`
`protected java.util.Iterator` | `fixedChildren()`
`java.util.Collection` | `getResponseData()`
`java.lang.String` | `getScrollPos()`
`org.richfaces.event.sort.SortListener` | `getSortListener()`
`abstract java.lang.String` | `getSortMode()`
`abstract org.richfaces.model.SortOrder` | `getSortOrder()`
`boolean` | `isCacheable()`
`void` | `processDecodes(javax.faces.context.FacesContext faces)`
`void` | `processScrolling(javax.faces.event.FacesEvent event)`
`void` | `processSortingChange(javax.faces.event.FacesEvent event)`
`void` | `processUpdates(javax.faces.context.FacesContext faces)`
`void` | `processValidators(javax.faces.context.FacesContext faces)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setResponseData(java.util.Collection responseData)`
`void` | `setRowIndex(int index)`
`void` | `setScrollPos(java.lang.String scrollPos)`
`void` | `setSortListener(org.richfaces.event.sort.SortListener sortListener)`
`abstract void` | `setSortMode(java.lang.String mode)`
`abstract void` | `setSortOrder(org.richfaces.model.SortOrder sortOrder)`
`void` | `walk(javax.faces.context.FacesContext faces, org.ajax4jsf.model.DataVisitor visitor, java.lang.Object argument)`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, isRowAvailable, iterate, processDecodes, processUpdates, processValidators, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, setValue`

Methods inherited from class javax.faces.component.UIData
`getFamily, getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getRequestDelay, getReRender, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setRequestDelay, setReRender, setStatus, setTimeout`

Methods inherited from interface org.richfaces.component.Selectable
`getSelection, setSelection`

Methods inherited from interface org.richfaces.component.ScriptExportable
`getScriptVar, setScriptVar`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### SORT_SINGLE

    public static final java.lang.String SORT_SINGLE

See Also:
  Constant Field Values

### SORT_MULTI

    public static final java.lang.String SORT_MULTI

See Also:
  Constant Field Values

Constructor Detail

### UIScrollableDataTable

    public UIScrollableDataTable()

Method Detail

### getSortOrder

    public abstract org.richfaces.model.SortOrder getSortOrder()

  Specified by:
    `getSortOrder` in interface `org.richfaces.component.Sortable`

### setSortOrder

    public abstract void setSortOrder(org.richfaces.model.SortOrder sortOrder)

  Specified by:
    `setSortOrder` in interface `org.richfaces.component.Sortable`

### getResponseData

    public java.util.Collection getResponseData()

### setResponseData

    public void setResponseData(java.util.Collection responseData)

### createComponentState

    protected org.ajax4jsf.model.DataComponentState createComponentState()

  Specified by:
    `createComponentState` in class `org.ajax4jsf.component.UIDataAdaptor`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext faces)

  Overrides:
    `processDecodes` in class `org.ajax4jsf.component.UIDataAdaptor`

### processValidators

    public void processValidators(javax.faces.context.FacesContext faces)

  Overrides:
    `processValidators` in class `org.ajax4jsf.component.UIDataAdaptor`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext faces)

  Overrides:
    `processUpdates` in class `org.ajax4jsf.component.UIDataAdaptor`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `org.ajax4jsf.component.UIDataAdaptor`
  Throws:
    `java.io.IOException`

### createDataModel

    protected org.ajax4jsf.model.ExtendedDataModel createDataModel()

  Specified by:
    `createDataModel` in class `org.ajax4jsf.component.UIDataAdaptor`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `org.ajax4jsf.component.UIDataAdaptor`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `org.ajax4jsf.component.UIDataAdaptor`

### dataChildren

    protected java.util.Iterator dataChildren()

  Specified by:
    `dataChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

### fixedChildren

    protected java.util.Iterator fixedChildren()

  Specified by:
    `fixedChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `org.ajax4jsf.component.UIDataAdaptor`
  Throws:
    `javax.faces.event.AbortProcessingException`

### broadcastLocal

    protected boolean broadcastLocal(javax.faces.event.FacesEvent event)

  Overrides:
    `broadcastLocal` in class `org.ajax4jsf.component.UIDataAdaptor`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `org.ajax4jsf.component.UIDataAdaptor`

### processScrolling

    public void processScrolling(javax.faces.event.FacesEvent event)

### processSortingChange

    public void processSortingChange(javax.faces.event.FacesEvent event)

### walk

    public void walk(javax.faces.context.FacesContext faces,
                     org.ajax4jsf.model.DataVisitor visitor,
                     java.lang.Object argument)
              throws java.io.IOException

  Overrides:
    `walk` in class `org.ajax4jsf.component.UIDataAdaptor`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.io.IOException`

### isCacheable

    public boolean isCacheable()

### getScrollPos

    public java.lang.String getScrollPos()

### setScrollPos

    public void setScrollPos(java.lang.String scrollPos)

### getSortListener

    public org.richfaces.event.sort.SortListener getSortListener()

### setSortListener

    public void setSortListener(org.richfaces.event.sort.SortListener sortListener)

### getSortMode

    public abstract java.lang.String getSortMode()

### setSortMode

    public abstract void setSortMode(java.lang.String mode)

### setRowIndex

    public void setRowIndex(int index)

  Overrides:
    `setRowIndex` in class `org.ajax4jsf.component.UIDataAdaptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.